gr::dab::ofdm_insert_pilot_vcc_impl Class Reference

`#include <ofdm_insert_pilot_vcc_impl.h>`

Inheritance diagram for gr::dab::ofdm_insert_pilot_vcc_impl:
[legend]

## Public Member Functions

| ofdm_insert_pilot_vcc_impl (const std::vector< gr_complex > &pilot)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::dab::ofdm_insert_pilot_vcc
typedef std::shared_ptr< ofdm_insert_pilot_vcc > | sptr
Static Public Member Functions inherited from gr::dab::ofdm_insert_pilot_vcc
static sptr | make (const std::vector< gr_complex > &pilot)
| Return a shared_ptr to a new instance of dab::ofdm_insert_pilot_vcc.

## Constructor & Destructor Documentation

## ofdm_insert_pilot_vcc_impl()

gr::dab::ofdm_insert_pilot_vcc_impl::ofdm_insert_pilot_vcc_impl | ( | const std::vector< gr_complex > & | pilot | ) |

## Member Function Documentation

## forecast()

void gr::dab::ofdm_insert_pilot_vcc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::ofdm_insert_pilot_vcc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- ofdm_insert_pilot_vcc_impl.h